From 8406e12a9fe63c967ef4f548d11faaca1e8f5e7d Mon Sep 17 00:00:00 2001
From: Renatafsouza <renata.rfsouza@gmail.com>
Date: Jun 21 2018 01:47:46 +0000
Subject: [PATCH 39/42] [MERGE]


---

diff --git a/src/components/login/LoginForm.vue b/src/components/login/LoginForm.vue
index 2bf0b10..6131b5d 100644
--- a/src/components/login/LoginForm.vue
+++ b/src/components/login/LoginForm.vue
@@ -76,8 +76,8 @@
           email: this.form['email'],
           password: this.form['password']
         })
-        .then(r => {
-          let {token, user_id} = r.data
+        .then(response_status => {
+          let {token, user_id} = response_status.data
 
           alert(token)
           alert(user_id)
diff --git a/src/components/package/List.vue b/src/components/package/List.vue
index 11558b2..3c8b9c1 100644
--- a/src/components/package/List.vue
+++ b/src/components/package/List.vue
@@ -76,14 +76,21 @@ export default {
         let previous = this.createPrevious(packageFilter)
         return {
           name: packageFilter.name,
-          version: packageFilter.versions.sort((versionA, versionB) => {
-            return versionA.number < versionB.number
-          })[0].number,
+          version: this.getLastPackageVersion(packageFilter),
           previous: previous,
-          ranking: Math.round(Math.random() * 100) / 100
+          ranking: this.getRandomSequence()
         }
       })
+    },
+    getLastPackageVersion (pack) {
+      pack.versions.sort((versionA, versionB) => {
+        return versionA.number < versionB.number
+      })[0].number
+    },
+    getRandomSequence () {
+      return Math.round(Math.random() * 100) / 100
     }
+
   },
   methods: {
     ...mapActions([
@@ -124,7 +131,11 @@ export default {
       this.errorCountDown = errorCountDown
     },
     showAlert (successMessage) {
-      (successMessage) ? this.successCountDown = this.dismissSecs : this.errorCountDown = this.dismissSecs
+      if (successMessage) {
+        this.successCountDown = this.dismissSecs
+      } else {
+        this.errorCountDown = this.dismissSecs
+      }
     },
     createPrevious (packageFilter) {
       let previous = '--'
diff --git a/src/components/package/PackagePage.vue b/src/components/package/PackagePage.vue
index 76a4611..16ab84d 100644
--- a/src/components/package/PackagePage.vue
+++ b/src/components/package/PackagePage.vue
@@ -113,11 +113,20 @@ export default {
       const data = labels.map((key) => {
         return this.reports[key]
       })
+      const colors = [{
+        red: '#CC0000',
+        yellow: '#ffbb33',
+        blue: '#0099CC',
+        lightBlue: '#F2FaFb',
+        gray: '#fafafa'
+      }]
+
       const datasets = [{
         label: 'Errors',
         data: data,
-        backgroundColor: ['#CC0000', '#ffbb33', '#0099CC', '#F2FaFb', '#fafafa']
+        colors: colors
       }]
+
       return { labels, datasets }
     },
     total () {
diff --git a/src/components/shared/DefaultTable.vue b/src/components/shared/DefaultTable.vue
index dae0da7..30eeda6 100644
--- a/src/components/shared/DefaultTable.vue
+++ b/src/components/shared/DefaultTable.vue
@@ -35,21 +35,23 @@
 </template>
 <script>
 
+import * as packagePage from './packagePage.js'
+
 export default {
   name: 'default-table',
   data () {
     return {
-      currentPage: 1,
+      currentPage: packagePage.INITIAL_PAGE,
       perPage: 10,
       pageOptions: [{
-        text: 5,
-        value: 5
+        text: packagePage.SHOW_FIVE_ITEMS,
+        value: packagePage.SHOW_FIVE_ITEMS
       }, {
-        text: 10,
-        value: 10
+        text: packagePage.SHOW_TEN_ITEMS,
+        value: packagePage.SHOW_TEN_ITEMS
       }, {
-        text: 15,
-        value: 15
+        text: packagePage.SHOW_FIFTEEN_ITEMS,
+        value: packagePage.SHOW_FIFTEEN_ITEMS
       }],
       sortBy: null,
       sortDesc: false,
diff --git a/src/components/shared/HeaderK.vue b/src/components/shared/HeaderK.vue
index 4c58152..5c24c7b 100644
--- a/src/components/shared/HeaderK.vue
+++ b/src/components/shared/HeaderK.vue
@@ -37,7 +37,7 @@ export default {
 
 a:link, a:visited {
   font-family: 'Comfortaa', cursive;
-  color: #fff;
+  color: white;
   text-decoration: none;
 }
 
diff --git a/src/components/shared/packagePage.js b/src/components/shared/packagePage.js
new file mode 100644
index 0000000..12d6e52
--- /dev/null
+++ b/src/components/shared/packagePage.js
@@ -0,0 +1,7 @@
+export const INITIAL_PAGE = 1
+
+export const SHOW_FIVE_ITEMS = 5
+
+export const SHOW_TEN_ITEMS = 10
+
+export const SHOW_FIFTEEN_ITEMS = 15
diff --git a/src/router/routes.js b/src/router/routes.js
index cb3d611..e04e68e 100644
--- a/src/router/routes.js
+++ b/src/router/routes.js
@@ -5,9 +5,31 @@ import RegisterPage from '../components/register/RegisterPage.vue'
 import LoginPage from '../components/login/LoginPage.vue'
 
 export const routes = [
-  { name: 'home', path: '', component: Home },
-  { name: 'analysis', path: '/analysis/', component: PackagePage, props: route => ({package: route.params.package}), query: { package: 'Test' } },
-  { name: 'profile-page', path: '/profile', component: ProfilePage },
-  { name: 'register-page', path: '/register', component: RegisterPage },
-  { name: 'login-page', path: '/login', component: LoginPage }
+  {
+    name: 'home',
+    path: '',
+    component: Home
+  },
+  {
+    name: 'analysis',
+    path: '/analysis/',
+    component: PackagePage,
+    props: route => ({package: route.params.package}),
+    query: { package: 'Test' }
+  },
+  {
+    name: 'profile-page',
+    path: '/profile',
+    component: ProfilePage
+  },
+  {
+    name: 'register-page',
+    path: '/register',
+    component: RegisterPage
+  },
+  {
+    name: 'login-page',
+    path: '/login',
+    component: LoginPage
+  }
 ]

